/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_debug.rsh File Reference

- Overview
- Globals
- Structs

Functions
/src/ics-mr1/frameworks/base/libs/rs/scriptc/rs_debug.rsh File Reference

## Functions
void | rsDebug (const char *, float)
void | rsDebug (const char *, float, float)
void | rsDebug (const char *, float, float, float)
void | rsDebug (const char *, float, float, float, float)
void | rsDebug (const char *, double)
void | rsDebug (const char *, const rs_matrix4x4 *)
void | rsDebug (const char *, const rs_matrix3x3 *)
void | rsDebug (const char *, const rs_matrix2x2 *)
void | rsDebug (const char *, int)
void | rsDebug (const char *, uint)
void | rsDebug (const char *, long)
void | rsDebug (const char *, unsigned long)
void | rsDebug (const char *, const void *)

## Detailed Description

Utility debugging routines.

Routines intended to be used during application developement. These should not be used in shipping applications. All print a string and value pair to the standard log.

Definition in file rs_debug.rsh.

## Function Documentation

_RS_RUNTIME void rsDebug | ( | const char * | ,
|  | float |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | float | ,
|  | float |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | double |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | const rs_matrix4x4 * |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | const rs_matrix3x3 * |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | const rs_matrix2x2 * |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | int |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | uint |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | long |
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | unsigned | long
| ) |  |

Debug function. Prints a string and value to the log.

void rsDebug | ( | const char * | ,
|  | const void * |
| ) |  |

Debug function. Prints a string and value to the log.